"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Dendrogram = require("../Dendrogram");
const Menu = require("../Menu");
const App = require("./App");
const Store_1 = require("./Store");
const generateProps = (stores, viewStore) => {
    return {
        currentKey: stores.app.state.currentKey,
        npmUrl: stores.app.state.npmUrl,
        Menu: React.createElement(Menu.Container, { store: viewStore.menuStore }),
        Dendrogram: React.createElement(Dendrogram.Container, { store: viewStore.dendrogram }),
    };
};
exports.Container = ({ reducers }) => {
    const [appState, appDispatcher] = React.useReducer(...reducers.app);
    const domainStores = {
        app: {
            state: appState,
            dispatch: appDispatcher,
        },
    };
    const stores = Store_1.createViewStores(domainStores);
    return React.createElement(App.Component, Object.assign({}, generateProps(domainStores, stores)));
};
//# sourceMappingURL=Container.js.map