"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const TreeNode = require("./TreeNode");
const getTransform = (position) => {
    return `translate(${position.y}, ${position.x})`;
};
const generateProps = (store, targetNode) => {
    const position = {
        x: targetNode.x * store.scale.x + store.scale.offsetX,
        y: targetNode.y * store.scale.y + store.scale.offsetY,
    };
    return {
        g: {
            transform: getTransform(position),
        },
        circle: {
            r: store.radius,
        },
        text: {
            dx: store.radius + 0.5,
            dy: store.offset,
            onClick: () => {
                store.updateKey(targetNode.data.name);
            },
            children: targetNode.data.name,
        },
    };
};
exports.Container = ({ store }) => (React.createElement(React.Fragment, null, store.nodes.map((node, idx) => {
    return React.createElement(TreeNode.Component, Object.assign({}, generateProps(store, node), { key: `node-${idx}` }));
})));
//# sourceMappingURL=Container.js.map